Get resource attribution
curl --request GET \
--url https://api.example.com/api/v1/inventory/resource-attributions/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/inventory/resource-attributions/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/inventory/resource-attributions/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/inventory/resource-attributions/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/inventory/resource-attributions/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/inventory/resource-attributions/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/inventory/resource-attributions/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_allocation": {
"allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"mismatches": [
{
"resource_kind": "uni_instance",
"expected_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"observed_organisation_id": "<string>"
}
],
"nova_server_uuid": "<string>",
"environment": "<string>",
"openstack_region_name": "<string>",
"resolution_status": "pending",
"source_observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"diagnostic_detail": "<string>",
"issues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_kind": "uni_instance",
"code": "<string>",
"retryable": true,
"diagnostic_detail": "<string>"
}
],
"uni_instances": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uni_instance_id": "<string>",
"uni_server_id": "<string>",
"organisation_id": "<string>",
"region_id": "<string>",
"project_id": "<string>"
}
],
"placements": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"placement_id": "<string>",
"placement_server_id": "<string>",
"reservation_id": "<string>",
"managed_by": "<string>",
"owner_id": "<string>",
"organisation_id": "<string>",
"region_id": "<string>",
"project_id": "<string>"
}
],
"kubernetes_clusters": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "<string>",
"organisation_id": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"region_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Inventory
Get resource attribution
Read-only attribution snapshots for internal FM-to-Radar consumers.
GET
/
api
/
v1
/
inventory
/
resource-attributions
/
{id}
/
Get resource attribution
curl --request GET \
--url https://api.example.com/api/v1/inventory/resource-attributions/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/inventory/resource-attributions/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/inventory/resource-attributions/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/inventory/resource-attributions/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/inventory/resource-attributions/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/inventory/resource-attributions/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/inventory/resource-attributions/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_allocation": {
"allocation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_name": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"mismatches": [
{
"resource_kind": "uni_instance",
"expected_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"observed_organisation_id": "<string>"
}
],
"nova_server_uuid": "<string>",
"environment": "<string>",
"openstack_region_name": "<string>",
"resolution_status": "pending",
"source_observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"diagnostic_detail": "<string>",
"issues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_kind": "uni_instance",
"code": "<string>",
"retryable": true,
"diagnostic_detail": "<string>"
}
],
"uni_instances": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uni_instance_id": "<string>",
"uni_server_id": "<string>",
"organisation_id": "<string>",
"region_id": "<string>",
"project_id": "<string>"
}
],
"placements": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"placement_id": "<string>",
"placement_server_id": "<string>",
"reservation_id": "<string>",
"managed_by": "<string>",
"owner_id": "<string>",
"organisation_id": "<string>",
"region_id": "<string>",
"project_id": "<string>"
}
],
"kubernetes_clusters": [
{
"status": "resolved",
"observed_at": "2023-11-07T05:31:56Z",
"last_attempted_at": "2023-11-07T05:31:56Z",
"last_resolved_at": "2023-11-07T05:31:56Z",
"stale_since": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "<string>",
"organisation_id": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"region_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
A UUID string identifying this device resource binding.
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
pending- Pendingunassigned- Unassignedresolved- Resolvedpartially_resolved- Partially resolvedunresolved- Unresolvedstale- Stale
Available options:
pending, unassigned, resolved, partially_resolved, unresolved, stale Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes